Finish a passkey login
curl --request POST \
--url https://api.next.orenda.finance/v1/auth/passkey/verify \
--header 'Content-Type: application/json' \
--header 'x-program-id: <x-program-id>' \
--data '
{
"session_token": "3f1c2e8a-9b4d-4e6f-8a1b-2c3d4e5f6a7b",
"assertion": {
"credentialIdB64": "AaIWjR2k8Qm3sV7tZ1pYxC",
"userHandleB64": "dXNlci1jdXN0XzNmOWEyYjdl",
"clientDataJSON_B64": "eyJ0eXBlIjoid2ViYXV0aG4uZ2V0In0",
"authenticatorDataB64": "SZYN5YgOjGh0NBcPZHZgW4_krrmihjLHmVzzuoMdl2M",
"signatureB64": "MEUCIQDx9z...sig...redacted"
}
}
'import requests
url = "https://api.next.orenda.finance/v1/auth/passkey/verify"
payload = {
"session_token": "3f1c2e8a-9b4d-4e6f-8a1b-2c3d4e5f6a7b",
"assertion": {
"credentialIdB64": "AaIWjR2k8Qm3sV7tZ1pYxC",
"userHandleB64": "dXNlci1jdXN0XzNmOWEyYjdl",
"clientDataJSON_B64": "eyJ0eXBlIjoid2ViYXV0aG4uZ2V0In0",
"authenticatorDataB64": "SZYN5YgOjGh0NBcPZHZgW4_krrmihjLHmVzzuoMdl2M",
"signatureB64": "MEUCIQDx9z...sig...redacted"
}
}
headers = {
"x-program-id": "<x-program-id>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-program-id': '<x-program-id>', 'Content-Type': 'application/json'},
body: JSON.stringify({
session_token: '3f1c2e8a-9b4d-4e6f-8a1b-2c3d4e5f6a7b',
assertion: {
credentialIdB64: 'AaIWjR2k8Qm3sV7tZ1pYxC',
userHandleB64: 'dXNlci1jdXN0XzNmOWEyYjdl',
clientDataJSON_B64: 'eyJ0eXBlIjoid2ViYXV0aG4uZ2V0In0',
authenticatorDataB64: 'SZYN5YgOjGh0NBcPZHZgW4_krrmihjLHmVzzuoMdl2M',
signatureB64: 'MEUCIQDx9z...sig...redacted'
}
})
};
fetch('https://api.next.orenda.finance/v1/auth/passkey/verify', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"authenticated": true,
"access_token": "eyJhbGciOi...JWT...access...redacted",
"id_token": "eyJhbGciOi...JWT...id...redacted",
"refresh_token": "eyJjdHkiOi...JWT...refresh...redacted",
"token_type": "Bearer",
"expires_in": 3600,
"hasPasskey": true,
"hasMfa": true
}
}{
"success": false,
"code": "INVALID_JSON",
"message": "Invalid or malformed JSON in request body"
}{
"success": false,
"code": "UNAUTHORIZED",
"message": "Passkey authentication failed"
}{
"success": false,
"code": "RESOURCE_NOT_FOUND",
"message": "Program issuer not found"
}{
"success": false,
"code": "SESSION_EXPIRED",
"message": "Challenge session has expired"
}{
"success": false,
"code": "VALIDATION_ERROR",
"message": "email is required"
}{
"success": false,
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal Server Error"
}Passkeys
Finish a passkey login
Step 2 of signing in with a passkey. Send the session_token from passkey/login and the assertion the browser produced. On success you receive your tokens.
POST
/
v1
/
auth
/
passkey
/
verify
Finish a passkey login
Headers
Identifies the program. Can also be sent as the programId query parameter.
Body
application/json
⌘I